Subject: Re: bug#27920: 25.2; Elisp indentation breaks when function docstring matches "^("

From: Ryan Thompson <[email-masked]>
Date: Wed, 02 Aug 2017 21:39:58 +0000

Ok, that's good to know. That page claims that Emacs "highlights confusing
opening delimiters (those that ought to be quoted) in bold red", but I'm
not seeing that in this case. Is there some setting to enable this, or is
it likely that some other elisp package I have installed is interfering
with this highlighting? Or can Emacs not catch this kind of misplaced paren
in a string?

On Wed, Aug 2, 2017 at 2:34 PM Philipp Stephani <[email-masked]>
wrote:

>
>
> Ryan <[email-masked]> schrieb am Mi., 2. Aug. 2017 um 18:57 Uhr:
>
>>
>> When editing Emacs Lisp code, if I write a function whose docstring
>> contains a line beginning with an open paren, Emacs refuses to
>> auto-indent any line in the function body.
>
>
> Emacs by default doesn't accept opening parentheses in the first column
> that don't start a top-level definition. See
> https://www.gnu.org/software/emacs/manual/html_node/emacs/Left-Margin-Paren.html
> .
>